import Card from '@/components/Card';
import { BaseMediaUrl } from '@/constants/constants';
import { useIncidentStore } from '@/store';
import { time } from 'console';
import {
  computed,
  defineComponent,
  onMounted,
  onUnmounted,
  ref,
} from 'vue-demi';

export default defineComponent({
  name: 'LiveMonitoringCard',
  setup() {
    const store = useIncidentStore();

    const liveRef = ref<HTMLElement>();
    const timer = ref();
    const current = ref(0);


    return () => (
      <Card cardType="live-monitoring">
        <div class="livec">
          <img
            style="width: 100%;height: 100%;"
            src="https://img1.baidu.com/it/u=1650334584,1209303936&fm=253&fmt=auto&app=120&f=JPEG?w=1129&h=642"
          />
        </div>
        <div class="livec">
          <img
            style="width: 100%;height: 100%;"
            src="https://img1.baidu.com/it/u=1650334584,1209303936&fm=253&fmt=auto&app=120&f=JPEG?w=1129&h=642"
          />
        </div>
      </Card>
    );
  },
});
